Can I install Openframeworks' latest version on a 32-bit Windows?

Can I install Openframeworks on a 32-bit Windows? I had a look at http://openframeworks.cc/setup/qtcreator/ and there it says:

“Some parts of the build system rely on msys2 being installed in the default folder: c:\msys64 and installing it somewhere else might need modifications to the project files.”

It says msys64 but I am using 32-bit Windows, so if I install msys2-i686 which is for Windows 32-bit, it doesn’t work?